local t=require"luci.dispatcher"
local a=require"luci.sys"
m=Map("qmodem")
m.title=translate("Dial Overview")
s=m:section(NamedSection,"main","main",translate("Global Config"))
s.anonymous=true
s.addremove=false
o=s:option(Flag,"enable_dial",translate("Enable Dial")..translate("(Global)"))
o.rmempty=false
o=s:option(Button,"reload_dial",translate("Restart Dial Service"))
o.inputstyle="apply"
o.write=function()
a.call("/etc/init.d/qmodem_network restart  > /dev/null 2>&1")
luci.http.redirect(t.build_url("admin","modem","qmodem","dial_overview"))
end
s=m:section(TypedSection,"modem-device",translate("Config List"))
s.addremove=ture
s.template="cbi/tblsection"
s.extedit=t.build_url("admin","modem","qmodem","dial_config","%s")
o=s:option(Flag,"enable_dial",translate("Enable Dial"))
o.width="5%"
o.rmempty=false
restart_btn=s:option(Button,"_redial",translate("ReDial"))
restart_btn.inputstyle="remove"
function restart_btn.write(i,e)
a.call("/etc/init.d/qmodem_network redial "..e.." > /dev/null 2>&1")
luci.http.redirect(t.build_url("admin","modem","qmodem","dial_overview"))
end
o=s:option(DummyValue,"name",translate("Modem Model"))
o.cfgvalue=function(t,e)
local e=(Value.cfgvalue(t,e)or"")
return e:upper()
end
o=s:option(DummyValue,"alias",translate("Modem Alias"))
o.cfgvalue=function(t,e)
local e=(Value.cfgvalue(t,e)or"-")
return e
end
o=s:option(DummyValue,"state",translate("Modem Status"))
o.cfgvalue=function(t,e)
return translate(Value.cfgvalue(t,e):upper()or"-")
end
o=s:option(DummyValue,"pdp_type",translate("PDP Type"))
o.cfgvalue=function(e,t)
local e=(Value.cfgvalue(e,t)or"")
if e=="ipv4v6"then
e=translate("IPv4/IPv6")
else
e=e:gsub("_","/"):upper():gsub("V","v")
end
return e
end
o=s:option(DummyValue,"apn",translate("APN"))
o.cfgvalue=function(t,e)
local e=(Value.cfgvalue(t,e)or"")
if e==""then
e=translate("Auto Choose")
end
return e
end
remove_btn=s:option(Button,"_remove",translate("Remove Modem"))
remove_btn.inputstyle="remove"
function remove_btn.write(e,a)
local e
e="/usr/share/qmodem/modem_scan.sh remove "..a
luci.sys.call(e)
luci.http.redirect(t.build_url("admin","modem","qmodem","dial_overview"))
end
m:append(Template("qmodem/dial_overview"))
m.on_after_commit=function(e)
a.call("/etc/init.d/qmodem_network reload  > /dev/null 2>&1")
end
return m
